Summary: Convert between UTF-8 Unicode and 7-bit ASCII equivalents
Name: uni2ascii
Version: 4.18
Release: 1
License: GPL
Group: Applications/Text
URL: http://www.billposer.org/Software/uni2ascii.html
Source0: http://billposer.org/Software/Downloads/%{name}-%{version}.tar.bz2
Patch0: %{name}-%{version}-aix.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires: gettext
Requires: gettext

%description
uni2ascii and ascii2uni convert between UTF-8 Unicode and more than a
dozen 7-bit ASCII equivalents including: hexadecimal and decimal HTML
numeric character references, \u-escapes, standard hexadecimal, raw
hexadecimal, and RFC2396 URI format. Such ASCII equivalents are
encountered in a variety of circumstances, such as when Unicode text is
included in program source, when entering text into Web programs that can
handle the Unicode character set but are not 8-bit safe, and when debugging.


%prep
%setup -q
%patch0


%build
export CC=xlc
./configure \
    --prefix=%{_prefix} \
    --mandir=%{_mandir}
make %{?_smp_mflags} LDADD="-lintl"


%install
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}
make DESTDIR=$RPM_BUILD_ROOT install

/usr/bin/strip ${RPM_BUILD_ROOT}%{_bindir}/* || :

cd ${RPM_BUILD_ROOT}
mkdir -p usr/bin
cd usr/bin
ln -sf ../..%{_bindir}/* .


%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,system,-)
%doc AUTHORS ChangeLog COPYING CREDITS INSTALL README
%{_bindir}/*
%{_mandir}/man1/*
/usr/bin/*


%changelog
* Mon May 16 2011 Michael Perzl <michael@perzl.org> - 4.18-1
- updated to version 4.18

* Thu Feb 17 2011 Michael Perzl <michael@perzl.org> - 4.17-1
- updated to version 4.17

* Mon Dec 13 2010 Michael Perzl <michael@perzl.org> - 4.16-1
- updated to version 4.16

* Thu Sep 02 2010 Michael Perzl <michael@perzl.org> - 4.15-1
- updated to version 4.15

* Mon Aug 30 2010 Michael Perzl <michael@perzl.org> - 4.14-1
- updated to version 4.14

* Fri Jul 02 2010 Michael Perzl <michael@perzl.org> - 4.11-2
- removed dependency on gettext >= 0.17

* Thu Nov 20 2008 Michael Perzl <michael@perzl.org> - 4.11-1
- first version for AIX V5.1 and higher
